# GoOnline

### Description

Configures the client for online mode.

```csharp
bool GoOnline(bool testConnection, out string errorMessage
```

### Parameters

| Parameter      |  Type  | Description                                                                                              |
| -------------- | :----: | -------------------------------------------------------------------------------------------------------- |
| testConnection |  bool  | when true, the server is pinged before attempting to go online to make sure that we can reach the server |
| errorMessage   | string | a returned message with error information                                                                |

### Returns

| Type    | Description                                             |
| ------- | ------------------------------------------------------- |
| Boolean | true if the operation was successful; otherwise, false. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/iqlmcloudfloatinglicensehelper/methods/goonline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
